Modify

Opened 13 months ago

Closed 5 months ago

#13139 closed defect (fixed)

IllegalStateException: Dialog not created yet. Invoke createInstance() first

Reported by: anonymous Owned by: anonymous
Priority: major Milestone: 17.03
Component: Core Version:
Keywords: template_report regression gsoc-core Cc: michael2402

Description

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-07-11 23:04:49 +0200 (Mon, 11 Jul 2016)
Build-Date:2016-07-12 01:31:48
Revision:10526
Relative:URL: ^/trunk

Identification: JOSM/1.5 (10526 es) Linux Ubuntu 16.04 LTS
Memory Usage: 441 MB / 859 MB (300 MB allocated, but free)
Java version: 1.8.0_91-b14, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
VM arguments: [-Djava.security.policy=file:${JAVA_HOME}/jre/lib/security/javaws.policy, -DtrustProxy=true, -Djnlpx.home=${JAVA_HOME}/jre/bin, -Djava.security.manager, -Djnlpx.origFilenameArg=${HOME}/.java/deployment/cache/6.0/56/1ee8cfb8-5e3136c5, -Djnlpx.remove=false, -Dsun.awt.warmup=true, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.splashport=51886, -Djnlp.application.href=https://josm.openstreetmap.de/download/josm.jnlp, -Djnlpx.jvm=${JAVA_HOME}/jre/bin/java, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAC1Eam5scC5hcHBsaWNhdGlvbi5ocmVmPWh0dHBzOi8vam9zbS5vcGVuc3RyZWV0bWFwLmRlL2Rvd25sb2FkL2pvc20uam5scAA=]

Plugins:
- FastDraw (32639)
- HouseNumberTaggingTool (32584)
- ImageWayPoint (32584)
- ImportImagePlugin (32584)
- Mapillary (32639)
- PicLayer (32495)
- apache-commons (32584)
- apache-http (32584)
- buildings_tools (32639)
- contourmerge (1014)
- ejml (32639)
- fieldpapers (v0.4.0)
- geotools (32584)
- imagery-xml-bounds (32489)
- imagery_offset_db (32528)
- imageryadjust (32329)
- jts (32539)
- livegps (32470)
- log4j (32309)
- measurement (32454)
- opendata (32584)
- osmarender (32501)
- pbf (32584)
- pdfimport (32584)
- photo_geotagging (32392)
- photoadjust (32584)
- print (32502)
- proj4j (32309)
- public_transport (32639)
- public_transport_layer (32584)
- reverter (32584)
- surveyor (32584)
- todo (29154)
- utilsplugin2 (32584)
- wikipedia (32639)

Last errors/warnings:
- W: java.net.ConnectException: La red es inaccesible
- W: Already here java.net.ConnectException: La red es inaccesible
- E: java.net.ConnectException: La red es inaccesible
- W: org.openstreetmap.josm.io.OsmTransferException: No se ha podido conectar con el servidor OSM. Por favor, verifique su conexión a Internet.. Causa: java.net.ConnectException: La red es inaccesible
- E: java.lang.IllegalArgumentException: Listener was not registered before: LayerChangeAdapter [ToggleDialogAction [imagen del waypoint]]
- E: java.lang.IllegalStateException: Dialog not created yet. Invoke createInstance() first
- E: java.lang.reflect.InvocationTargetException. Causa: org.openstreetmap.josm.tools.bugreport.ReportedException: java.lang.IllegalStateException: Dialog not created yet. Invoke createInstance() first. Causa: java.lang.IllegalStateException: Dialog not created yet. Invoke createInstance() first
- E: org.openstreetmap.josm.tools.bugreport.ReportedException: java.lang.IllegalStateException: Dialog not created yet. Invoke createInstance() first. Causa: java.lang.IllegalStateException: Dialog not created yet. Invoke createInstance() first
- E: org.openstreetmap.josm.tools.bugreport.ReportedException: java.lang.IllegalStateException: Dialog not created yet. Invoke createInstance() first. Causa: java.lang.IllegalStateException: Dialog not created yet. Invoke createInstance() first
- E: org.openstreetmap.josm.tools.bugreport.ReportedException: java.lang.IllegalStateException: Dialog not created yet. Invoke createInstance() first. Causa: java.lang.IllegalStateException: Dialog not created yet. Invoke createInstance() first

=== REPORTED CRASH DATA ===
LayerManager#fireLayerRemoving:
 - listener: LayerChangeAdapter [org.openstreetmap.josm.actions.MergeLayerAction@58263420]
 - event: LayerRemoveEvent [removedLayer=org.openstreetmap.josm.gui.layer.OsmDataLayer@35349f50, lastLayer=false]
 - layer: org.openstreetmap.josm.gui.layer.OsmDataLayer@35349f50

=== STACK TRACE ===
Thread: AWT-EventQueue-2 (62) of javawsApplicationThreadGroup
java.lang.IllegalStateException: Dialog not created yet. Invoke createInstance() first
	at org.openstreetmap.josm.gui.dialogs.LayerListDialog.getInstance(LayerListDialog.java:112)
	at org.openstreetmap.josm.actions.MergeLayerAction$2.run(MergeLayerAction.java:109)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDT(GuiHelper.java:110)
	at org.openstreetmap.josm.actions.MergeLayerAction.updateEnabledState(MergeLayerAction.java:102)
	at org.openstreetmap.josm.actions.JosmAction$LayerChangeAdapter.layerRemoving(JosmAction.java:377)
	at org.openstreetmap.josm.gui.layer.LayerManager.fireLayerRemoving(LayerManager.java:411)
	at org.openstreetmap.josm.gui.layer.LayerManager.realRemoveSingleLayer(LayerManager.java:235)
	at org.openstreetmap.josm.gui.layer.MainLayerManager.realRemoveSingleLayer(MainLayerManager.java:286)
	at org.openstreetmap.josm.gui.layer.LayerManager.realRemoveLayer(LayerManager.java:229)
	at org.openstreetmap.josm.gui.layer.LayerManager$2.run(LayerManager.java:213)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDTAndWaitWithException(GuiHelper.java:146)
	at org.openstreetmap.josm.gui.layer.LayerManager.removeLayer(LayerManager.java:210)
	at org.openstreetmap.josm.gui.layer.LayerManager.resetState(LayerManager.java:438)
	at org.openstreetmap.josm.gui.layer.MainLayerManager.resetState(MainLayerManager.java:396)
	at org.openstreetmap.josm.Main.shutdown(Main.java:1178)
	at org.openstreetmap.josm.gui.MainApplication.shutdown(MainApplication.java:117)
	at org.openstreetmap.josm.Main.exitJosm(Main.java:1159)
	at org.openstreetmap.josm.gui.MainFrame$3.windowClosing(MainFrame.java:105)
	at java.awt.AWTEventMulticaster.windowClosing(AWTEventMulticaster.java:349)
	at java.awt.AWTEventMulticaster.windowClosing(AWTEventMulticaster.java:349)
	at java.awt.AWTEventMulticaster.windowClosing(AWTEventMulticaster.java:349)
	at java.awt.Window.processWindowEvent(Window.java:2058)
	at javax.swing.JFrame.processWindowEvent(JFrame.java:305)
	at java.awt.Window.processEvent(Window.java:2017)
	at java.awt.Component.dispatchEventImpl(Component.java:4891)
	at java.awt.Container.dispatchEventImpl(Container.java:2294)
	at java.awt.Window.dispatchEventImpl(Window.java:2750)
	at java.awt.Component.dispatchEvent(Component.java:4713)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:758)
	at java.awt.EventQueue.access$500(EventQueue.java:97)
	at java.awt.EventQueue$3.run(EventQueue.java:709)
	at java.awt.EventQueue$3.run(EventQueue.java:703)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:86)
	at java.awt.EventQueue$4.run(EventQueue.java:731)
	at java.awt.EventQueue$4.run(EventQueue.java:729)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:728)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:201)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:116)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:105)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:93)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:82)

Attachments (0)

Change History (13)

comment:1 Changed 13 months ago by Don-vip

Cc: michael2402 added
Keywords: regression gsoc-core added
Milestone: 16.07

comment:2 Changed 12 months ago by michael2402

Can you provide more information or a way to reproduce this?

From what I can see you exited JOSM while having at least an OSM data layer and one other active layer.

comment:3 Changed 12 months ago by michael2402

Owner: changed from team to anonymous
Status: newneedinfo

comment:4 Changed 12 months ago by Don-vip

Milestone: 16.07
Resolution: needinfo
Status: needinfoclosed

comment:5 Changed 6 months ago by Don-vip

Milestone: 17.02
Resolution: needinfo
Status: closedreopened
Summary: Unexpected error when cleaning all layersIllegalStateException: Dialog not created yet. Invoke createInstance() first

comment:6 Changed 6 months ago by Don-vip

Ticket #14303 has been marked as a duplicate of this ticket.

comment:7 Changed 5 months ago by stoecker

Ticket #14384 has been marked as a duplicate of this ticket.

comment:8 Changed 5 months ago by Don-vip

Milestone: 17.0217.03

comment:9 Changed 5 months ago by Don-vip

Ticket #14436 has been marked as a duplicate of this ticket.

comment:10 Changed 5 months ago by Don-vip

Priority: normalmajor

comment:11 Changed 5 months ago by Don-vip

Ticket #14476 has been marked as a duplicate of this ticket.

comment:12 Changed 5 months ago by Klumbumbus

I can reproduce this way:

  1. download data
  2. delte data layer
  3. download data again
  4. delte data layer again
  5. this triggers mapillary bug #14438 first
  6. then the news page is empty
  7. click on ignore the mapillary error
  8. click on create new layer
  9. the error of this ticket
URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2017-03-05 23:29:19 +0100 (Sun, 05 Mar 2017)
Build-Date:2017-03-06 02:33:52
Revision:11694
Relative:URL: ^/trunk

Identification: JOSM/1.5 (11694 de) Windows 10 64-Bit
Memory Usage: 495 MB / 989 MB (216 MB allocated, but free)
Java version: 1.8.0_121-b13, Oracle Corporation, Java HotSpot(TM) Client VM
Screen: \Display0 1680x1050
Maximum Screen Size: 1680x1050
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:<java.home>\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Program Files (x86)\josm-latest-mehr-RAM.jnlp, -Djnlpx.remove=true, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=512m,1024m, -Djnlpx.splashport=60133, -Djnlpx.jvm=<java.home>\bin\javaw.exe]
Dataset consistency test: No problems found

Plugins:
+ AddrInterpolation (33005)
+ DirectDownload (33004)
+ DirectUpload (32885)
+ FastDraw (33004)
+ HouseNumberTaggingTool (32699)
+ Mapillary (v1.4.0)
+ OpeningHoursEditor (33004)
+ Tracer2 (33004)
+ alignways (33136)
+ apache-commons (32994)
+ apache-http (32699)
+ buildings_tools (33004)
+ contourmerge (1030)
+ editgpx (33004)
+ imagery-xml-bounds (33004)
+ imagery_offset_db (33004)
+ measurement (33088)
+ osm-obj-info (1484152384)
+ photo_geotagging (33088)
+ photoadjust (33088)
+ reltoolbox (33088)
+ reverter (33088)
+ tag2link (33035)
+ tageditor (33021)
+ tagging-preset-tester (33004)
+ terracer (33088)
+ turnlanes-tagging (254)
+ turnrestrictions (33088)
+ undelete (32699)
+ utilsplugin2 (33124)
+ wikipedia (33098)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/OneClick&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/StolpersteineLight&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/NewTags&zip=1
+ %UserProfile%\Documents\OSM\JOSMSVN\data\defaultpresets.xml
+ https://raw.githubusercontent.com/yopaseopor/traffic_signs_preset_JOSM/master/DE.zip
+ https://josm.openstreetmap.de/josmfile?page=Presets/Industrial&zip=1

Map paint styles:
+ %UserProfile%\Documents\OSM\JOSMSVN\styles\standard\elemstyles.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/HiDPISupport&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Streets&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&zip=1
- %UserProfile%\Documents\OSM\eigene styles\maxspeed\maxspeed_2.8_01 zeige richtungspfeile.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/sac_scale&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ShowID&zip=1
- %UserProfile%\Documents\OSM\eigene styles\PriorityRoad\PriorityRoad_1.0.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/LayerChecker&zip=1
- %UserProfile%\Documents\OSM\TestNew\newicons.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Surface&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&style&zip=1
- %UserProfile%\Documents\OSM\patches\old MPs\dataquality.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Sidewalks&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Cycleways&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Osmc&style&zip=1
- https://raw.githubusercontent.com/species/josm-preset-wheelchair/master/sidewalks_kerbs.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/LitObjects&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lit&style&zip=1
- %UserProfile%\Documents\OSM\eigene styles\Tourenplanung.mapcss
- %UserProfile%\Documents\OSM\eigene styles\SpecificBuildingValues\SpecificBuildingValues.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_buildings&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Modified&zip=1
- https://github.com/bastik/mapcss-tools/raw/osm/mapnik2mapcss/osm-results/mapnik.zip
- %UserProfile%\Documents\OSM\eigene styles\area-symbol.zip
- http://www.freietonne.de/ft_icons/josm/FreieTonne_rules_presets_zip.php
- https://josm.openstreetmap.de/josmfile?page=Styles/NewHighwayColors&zip=1
- http://www.openrailwaymap.org/styles/standard.zip
- https://josm.openstreetmap.de/josmfile?page=Styles/MaxspeedIcons&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/DestinationSignRelation&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Incline&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/PTStops&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/AdvertisingStyle&zip=1
- https://www.dropbox.com/s/qo3ai47fpv241jf/Styles_Fixme_and_Notes.zip?raw=1
- https://github.com/gmgeo/osmic-josm-style/archive/master.zip
- https://josm.openstreetmap.de/josmfile?page=Styles/hazmat&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Suburb&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Postcode&zip=1
- %UserProfile%\Documents\OSM\eigene styles\layer checker\layer checker_1.2.mapcss

Validator rules:
+ https://raw.githubusercontent.com/<user.name>n-a-bauer/josm-validators/master/mtb.validator.mapcss
+ %UserProfile%\Documents\OSM\TestNew\new.validator.mapcss
+ https://josm.openstreetmap.de/josmfile?page=Rules/GermanySpecific&zip=1
- %UserProfile%\Documents\OSM\TestNew\germ.validator.mapcss
+ https://josm.openstreetmap.de/josmfile?page=Rules/CzechRepublicAddressSystem&zip=1

Last errors/warnings:
- E: java.io.IOException: Die angeforderte URL http://osmlab.github.io/editor-layer-index/imagery.xmlx wurde nicht gefunden
- E: Handled by bug report queue: java.lang.IllegalArgumentException: Listener Bildinformationen (instance of org.openstreetmap.josm.plugins.mapillary.gui.imageinfo.ImageInfoPanel) was not registered before or already removed.
- E: Handled by bug report queue: java.lang.IllegalStateException: Dialog not created yet. Invoke createInstance() first


=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: AWT-EventQueue-2 (46) of javawsApplicationThreadGroup
java.lang.IllegalStateException: Dialog not created yet. Invoke createInstance() first
	at org.openstreetmap.josm.gui.dialogs.LayerListDialog.getInstance(LayerListDialog.java:113)
	at org.openstreetmap.josm.actions.MergeLayerAction.lambda$updateEnabledState$3(MergeLayerAction.java:103)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDT(GuiHelper.java:102)
	at org.openstreetmap.josm.actions.MergeLayerAction.updateEnabledState(MergeLayerAction.java:98)
	at org.openstreetmap.josm.actions.JosmAction$ActiveLayerChangeAdapter.activeOrEditLayerChanged(JosmAction.java:368)
	at org.openstreetmap.josm.gui.layer.MainLayerManager.fireActiveLayerChange(MainLayerManager.java:238)
	at org.openstreetmap.josm.gui.layer.MainLayerManager.setActiveLayer(MainLayerManager.java:231)
	at org.openstreetmap.josm.gui.layer.MainLayerManager.realSetActiveLayer(MainLayerManager.java:220)
	at org.openstreetmap.josm.gui.layer.MainLayerManager.lambda$setActiveLayer$0(MainLayerManager.java:214)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDTAndWaitWithException(GuiHelper.java:138)
	at org.openstreetmap.josm.gui.layer.MainLayerManager.setActiveLayer(MainLayerManager.java:214)
	at org.openstreetmap.josm.gui.layer.MainLayerManager.realAddLayer(MainLayerManager.java:255)
	at org.openstreetmap.josm.gui.layer.LayerManager.lambda$addLayer$0(LayerManager.java:189)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDTAndWaitWithException(GuiHelper.java:138)
	at org.openstreetmap.josm.gui.layer.LayerManager.addLayer(LayerManager.java:189)
	at org.openstreetmap.josm.actions.NewAction.actionPerformed(NewAction.java:32)
	at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
	at javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)
	at javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)
	at javax.swing.DefaultButtonModel.setPressed(Unknown Source)
	at javax.swing.plaf.basic.BasicButtonListener.mouseReleased(Unknown Source)
	at java.awt.AWTEventMulticaster.mouseReleased(Unknown Source)
	at java.awt.Component.processMouseEvent(Unknown Source)
	at javax.swing.JComponent.processMouseEvent(Unknown Source)
	at java.awt.Component.processEvent(Unknown Source)
	at java.awt.Container.processEvent(Unknown Source)
	at java.awt.Component.dispatchEventImpl(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Window.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.awt.EventQueue.access$500(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.run(Unknown Source)

after ignoring this error and closing josm another error appears:

=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: AWT-EventQueue-2 (46) of javawsApplicationThreadGroup
java.lang.IllegalArgumentException: Listener was not registered before: org.openstreetmap.josm.gui.MapFrame[,33,0,1647x911,invalid,layout=java.awt.BorderLayout,alignmentX=0.0,alignmentY=0.0,border=,flags=9,maximumSize=,minimumSize=,preferredSize=]
	at org.openstreetmap.josm.gui.layer.LayerManager.removeLayerChangeListener(LayerManager.java:390)
	at org.openstreetmap.josm.gui.layer.LayerManager.removeLayerChangeListener(LayerManager.java:378)
	at org.openstreetmap.josm.gui.MapFrame.destroy(MapFrame.java:317)
	at org.openstreetmap.josm.gui.MainPanel.updateContent(MainPanel.java:58)
	at org.openstreetmap.josm.gui.MainPanel$1.afterLastLayerRemoved(MainPanel.java:160)
	at org.openstreetmap.josm.gui.layer.MainLayerManager.realRemoveSingleLayer(MainLayerManager.java:270)
	at org.openstreetmap.josm.gui.layer.LayerManager.realRemoveLayer(LayerManager.java:228)
	at org.openstreetmap.josm.gui.layer.LayerManager.lambda$removeLayer$1(LayerManager.java:214)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDTAndWaitWithException(GuiHelper.java:138)
	at org.openstreetmap.josm.gui.layer.LayerManager.removeLayer(LayerManager.java:214)
	at org.openstreetmap.josm.gui.layer.LayerManager.realResetState(LayerManager.java:455)
	at org.openstreetmap.josm.gui.layer.MainLayerManager.realResetState(MainLayerManager.java:376)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDTAndWaitWithException(GuiHelper.java:138)
	at org.openstreetmap.josm.gui.layer.LayerManager.resetState(LayerManager.java:449)
	at org.openstreetmap.josm.Main.shutdown(Main.java:882)
	at org.openstreetmap.josm.gui.MainApplication.shutdown(MainApplication.java:127)
	at org.openstreetmap.josm.Main.exitJosm(Main.java:861)
	at org.openstreetmap.josm.gui.MainFrame$ExitWindowAdapter.windowClosing(MainFrame.java:162)
	at java.awt.AWTEventMulticaster.windowClosing(Unknown Source)
	at java.awt.Window.processWindowEvent(Unknown Source)
	at javax.swing.JFrame.processWindowEvent(Unknown Source)
	at java.awt.Window.processEvent(Unknown Source)
	at java.awt.Component.dispatchEventImpl(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Window.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.awt.EventQueue.access$500(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.run(Unknown Source)

comment:13 Changed 5 months ago by Don-vip

Resolution: fixed
Status: reopenedclosed

In 11711/josm:

fix #13139 - catch IllegalStateException

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain anonymous.
as The resolution will be set. Next status will be 'closed'.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.